id: wordpress-imagify

info:
  name: Imagify Image Optimization – Optimize Images | Compress Images | Convert WebP | Convert AVIF Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/imagify/
  metadata:
    plugin_namespace: imagify
    wpscan: https://wpscan.com/plugin/imagify
  tags: tech,wordpress,wp-plugin,top-100,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/imagify/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/imagify.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 4a0a00473045022100f4926c9d10404eb3ce10dfff5f8906fcbb0f89a583903689860606dcb91ffe0c022029c698e7eabea99e6e48400a2009a317aa4082ff1db5958369752d7418d13fad:922c64590222798bb761d5b6d8e72950